## com.gargoylesoftware.htmlunit.html
Class IEConditionalCommentExpressionEvaluator

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.IEConditionalCommentExpressionEvaluator

    public final class IEConditionalCommentExpressionEvaluator

extends java.lang.Object

Evaluator for IE conditional expressions.

Version:
  $Revision: 4079 $
Author:
  Marc Guillemot
See Also:
  MSDN documentation

Method Summary
`static boolean` `evaluate(java.lang.String condition, BrowserVersion browserVersion)` Evaluates the condition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public static boolean evaluate(java.lang.String condition,
                                   BrowserVersion browserVersion)

  Evaluates the condition.

  Parameters:
    `condition` - the condition like "lt IE 7"
    `browserVersion` - the browser version. Note that currently it can only be an IE browser.
  Returns:
    the evaluation result

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.